<template>
  <b-container class="mt-5">

    <div class="row">
      <div class="col-sm-3 col-md-3 col-xs-12 text-center">
        <img src="https://icon-library.com/images/movie-film-icon/movie-film-icon-10.jpg" width="200px" height="200px" />
      </div>

      <div class="mt-3 col-sm-9 col-md-9 col-xs-12">  
        <div class="card-body-right">
          <h4 class="card-title">{{ data.title }}</h4>
          <p class="card-text">{{ data.description }}</p>
        </div>
      </div>

    </div>

    <div class="row mt-5">
      <h4>Production</h4>
      <b-table class="table" borderless :items="production.items" :fields="production.fields"></b-table>
    </div>

    <div class="row mt-5" v-if="data.people.length">
      <h4>People</h4>
      <b-table class="table" borderless :items="people.items" :fields="people.fields"></b-table>
    </div>

    <div class="row mt-5" v-if="data.people">
      <b-button to="/" variant="primary">See more films</b-button>
    </div>
    
  </b-container>
</template>

<script>
export default {
  props: {
    data: {
      required: true,
      type: Object,
    }
  },
  data() {
    return {
      production: {
        fields: ["director", "producer", "release_date", "rt_score"],
        items: [
          { director: this.data.director, producer: this.data.producer, release_date: this.data.release_date, rt_score: this.data.rt_score }
        ]
      },
      people: {
        fields: ["name", "gender", "age", "eye_color", "hair_color"],
        items: this.data.people
      } 
    }
  }
}
</script>

<style>

</style>